ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Roman Neuhauser <neuhau...@sigpipe.cz>
Subject ant 1.6.5, bsf 2.3.0, rhino 1.6R2 RC2
Date Sun, 04 Sep 2005 09:54:21 GMT
Hello,

I'm hitting walls trying to use script tasks with javascript.

Software:

* FreeBSD-5.4-RELEASE-p6 i386
* (compiled) native Sun JDK SE 1.4.2_8 FreeBSD patch level 7
* (binary) Apache Ant 1.6.5
* (binary) Apache BSF 2.3.0
* (binary) Mozilla Rhino 1.6 R2 RC2,

I'm seeing these two errors when I try to use javascript scripts:

java.lang.NoSuchMethodError: org.mozilla.javascript.Context.getDebuggableEngine()Lorg/mozilla/javascript/debug/DebuggableEngine;

Looks like I'm not the only one who hasn't gotten this to work:

http://www.intellij.org/twiki/bin/view/Main/BsfConsole

http://ant.apache.org/manual/install.html says:

"If you use Apache BSF 2.3.0-rc1, you must use rhino 1.5R3 - later
versions of BSF work with 1.5R4 as well."

but http://java2.5341.com/msg/81816.html suggests that 1.5R4 cannot
work with 2.3.0 because Rhino dropped the Context.getDebuggableEngine
method between R3 and R4, and, as it turns out, that's precisely the
case: http://www.mozilla.org/rhino/rhino15R4-debugger.html

The text on the Ant install.html page is thus misleading: BSF 2.3.0
(which is later than 2.3.0-RC1) does not work with Rhino 1.5R4 or newer.

Could someone please fix the text?

-- 
How many Vietnam vets does it take to screw in a light bulb?
You don't know, man.  You don't KNOW.
Cause you weren't THERE.             http://bash.org/?255991

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message